package com.example.receivereaderintent;
import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.widget.TextView;

public class MainActivity extends Activity {

	private TextView tv1 = null;
	private IntentFilter filter;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		tv1 = (TextView)findViewById(R.id.tv1);
		
		// Create an IntentFilter to get intents which we want
		filter = new IntentFilter();
		filter.addAction("com.cipherlab.barcodebaseapi.PASS_DATA_2_APP");
		registerReceiver(myDataReceiver, filter);
	}

	@Override
	protected void onDestroy() {
		super.onDestroy();
		unregisterReceiver(myDataReceiver);
	}

	/// create a BroadcastReceiver for receiving intents from barcode reader service
	private final BroadcastReceiver myDataReceiver = new BroadcastReceiver() {
		@Override
		public void onReceive(Context context, Intent intent) {
			// If user disable KeyboardEmulation, barcode reader service will broadcast Intent_PASS_TO_APP
			if (intent.getAction().equals("com.cipherlab.barcodebaseapi.PASS_DATA_2_APP")) {

				tv1.setText("");

				// extra string from intent
				String data = intent.getStringExtra("Decoder_Data");

				// show decoded data
				tv1.setText(data);			

			}

		}
	};
	
}
